Bug 1024115 - `buildr candlepin:apicrawl` requires write access to /var/log
`buildr candlepin:apicrawl` requires write access to /var/log
Status: CLOSED CURRENTRELEASE
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
0.9
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Bryan Kearney
Katello QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-28 17:34 EDT by Ken Coar
Modified: 2016-07-22 10:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-22 10:39:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Excerpt of output from failed command (4.27 KB, text/plain)
2013-10-28 17:34 EDT, Ken Coar
no flags Details

  None (edit)
Description Ken Coar 2013-10-28 17:34:36 EDT
Created attachment 816930 [details]
Excerpt of output from failed command

Description of problem:

As of tag `candlepin-0.8.30-1`, the "buildr candlepin:apicrawl" command fails if the user does not have write access to /var/log.

Version-Release number of selected component (if applicable):

https://github.com/candlepin/candlepin.git tag 0.8.30-1
HEAD is now at f42cf8e... Automatic commit of package [candlepin] release [0.8.30-1].

How reproducible:

100%.

Steps to Reproduce:
1. Clone the repository.
2. Check out tag candlepin-0.8.30-1
3. Run `buildr candlepin:apicrawl` as a non-root user with no write access to /var/log and no /var/log/candlepin directory.

Actual results:

See http://pastebin.test.redhat.com/172894
Also attached.

Expected results:

Success.

Additional info:

This regression was introduced with candlepin-0.8.30-1; candlepin-0.8.29-1 gets crawled with no problem.

The development structure has *NO BUSINESS* pointing a log4j output at a system directory.
4.

Notice also that the BZ versions for this component don't go past 0.6.
Comment 1 Bryan Kearney 2013-11-01 15:27:00 EDT
https://github.com/candlepin/candlepin/pull/426
Comment 2 Bryan Kearney 2013-11-05 20:59:22 EST
commit 3f963fb56857f0e40cc0907ba1012eda1ab5ccb6
Author: Bryan Kearney <bkearney@redhat.com>
Date:   Fri Nov 1 15:23:34 2013 -0400

    1024115: Apicrawl should use the test log4j configuration
Comment 3 Mike McCune 2016-03-28 18:20:08 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 4 Barnaby Court 2016-07-22 10:39:38 EDT
Moving to closed per the updated candlepin process for bugs that have been merged or have been taken care of.

Note You need to log in before you can comment on or make changes to this bug.